Bug 467398 - (mingw32-gettext) Review Request: mingw32-gettext - GNU libraries and utilities for producing multi-lingual messages
Review Request: mingw32-gettext - GNU libraries and utilities for producing m...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On: 454410 mingw32-iconv mingw32-termcap
Blocks: mingw32-glib2 mingw32-libgpg-error mingw32-libxml2 mingw32-atk mingw32-gnutls mingw32-libvirt mingw32-pango mingw32-gtk2
  Show dependency treegraph
 
Reported: 2008-10-17 06:31 EDT by Richard W.M. Jones
Modified: 2009-01-21 16:30 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-21 16:30:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tla: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-10-17 06:31:04 EDT
Spec URL: http://hg.et.redhat.com/misc/fedora-mingw--devel/?cmd=manifest;manifest=82a0662b5376fe1a90612ed85628670c902a43d3;path=/gettext/
SRPM URL: http://www.annexia.org/tmp/mingw/fedora-9/src/SRPMS/mingw32-gettext-0.17-5.fc9.src.rpm
Description: GNU libraries and utilities for producing multi-lingual messages

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW

Note that there is no equivalent native Fedora package.  This
functionality is provided to native Fedora programs by glibc.
Comment 1 Levente Farkas 2008-10-30 11:59:56 EDT
on rhel-5 i've got this error while try to rebuild this package. is there any tip what can be the reason?:


creating libxml_rpl.la
(cd .libs && rm -f libxml_rpl.la && ln -s ../libxml_rpl.la libxml_rpl.la)
/bin/sh ../libtool --tag=CXX   --mode=link i686-pc-mingw32-g++  -g -O2  -release 0.17 ../intl/libintl.la -L/usr/i686-pc-mingw32/sys-root/mingw/lib -liconv -R/usr/i686-pc-mingw32/sys-root/mingw/lib  -L/usr/i686-pc-mingw32/sys-root/mingw/lib -liconv -R/usr/i686-pc-mingw32/sys-root/mingw/lib  -lc -no-undefined -Wl,--export-all-symbols    -L/usr/i686-pc-mingw32/sys-root/mingw/lib -liconv -R/usr/i686-pc-mingw32/sys-root/mingw/lib  -Wl,--disable-auto-import -o libgettextlib.la -rpath /usr/i686-pc-mingw32/sys-root/mingw/lib areadlink.lo gl_array_list.lo backupfile.lo addext.lo basename.lo c-ctype.lo c-strcasecmp.lo c-strncasecmp.lo c-strcasestr.lo c-strstr.lo classpath.lo clean-temp.lo closeout.lo copy-file.lo csharpcomp.lo csharpexec.lo error-progname.lo execute.lo exitfail.lo fatal-signal.lo fd-ostream.lo file-ostream.lo concat-filename.lo findprog.lo fstrcmp.lo full-write.lo fwriteerror.lo gcd.lo ../woe32dll/gettextlib-exports.lo hash.lo html-ostream.lo  ../woe32dll/c++html-styled-ostream.lo javacomp.lo javaexec.lo javaversion.lo linebreak.lo gl_linkedhash_list.lo gl_list.lo localcharset.lo localename.lo lock.lo malloca.lo mbchar.lo mbslen.lo mbsstr.lo mbswidth.lo ostream.lo pipe.lo progname.lo propername.lo quote.lo quotearg.lo sh-quote.lo striconv.lo strnlen1.lo styled-ostream.lo term-ostream.lo  ../woe32dll/c++term-styled-ostream.lo tls.lo tmpdir.lo uniname/uniname.lo unistr/u16-mbtouc.lo unistr/u16-mbtouc-aux.lo unistr/u16-mbtouc-unsafe.lo unistr/u16-mbtouc-unsafe-aux.lo unistr/u8-mbtouc.lo unistr/u8-mbtouc-aux.lo unistr/u8-mbtouc-unsafe.lo unistr/u8-mbtouc-unsafe-aux.lo unistr/u8-uctomb.lo unistr/u8-uctomb-aux.lo uniwidth/width.lo wait-process.lo xmalloc.lo xstrdup.lo xerror.lo xmalloca.lo xreadlink.lo xsetenv.lo xstriconv.lo xvasprintf.lo xasprintf.lo acl.lo argmatch.lo asnprintf.lo canonicalize-lgpl.lo error.lo file-has-acl.lo fnmatch.lo fopen.lo getdelim.lo getline.lo gettimeofday.lo malloc.lo mkdtemp.lo obstack.lo open.lo printf-args.lo printf-parse.lo readlink.lo realloc.lo safe-read.lo safe-write.lo setenv.lo sigprocmask.lo stpcpy.lo stpncpy.lo strnlen.lo tempname.lo tparm.lo tputs.lo unsetenv.lo vasnprintf.lo vasprintf.lo wcwidth.lo libcroco_rpl.la libglib_rpl.la libxml_rpl.la 
i686-pc-mingw32-g++ -shared -nostdlib /usr/i686-pc-mingw32/sys-root/mingw/lib/dllcrt2.o /usr/lib/gcc/i686-pc-mingw32/4.3.2/crtbegin.o  .libs/areadlink.o .libs/gl_array_list.o .libs/backupfile.o .libs/addext.o .libs/basename.o .libs/c-ctype.o .libs/c-strcasecmp.o .libs/c-strncasecmp.o .libs/c-strcasestr.o .libs/c-strstr.o .libs/classpath.o .libs/clean-temp.o .libs/closeout.o .libs/copy-file.o .libs/csharpcomp.o .libs/csharpexec.o .libs/error-progname.o .libs/execute.o .libs/exitfail.o .libs/fatal-signal.o .libs/fd-ostream.o .libs/file-ostream.o .libs/concat-filename.o .libs/findprog.o .libs/fstrcmp.o .libs/full-write.o .libs/fwriteerror.o .libs/gcd.o ../woe32dll/.libs/gettextlib-exports.o .libs/hash.o .libs/html-ostream.o ../woe32dll/.libs/c++html-styled-ostream.o .libs/javacomp.o .libs/javaexec.o .libs/javaversion.o .libs/linebreak.o .libs/gl_linkedhash_list.o .libs/gl_list.o .libs/localcharset.o .libs/localename.o .libs/lock.o .libs/malloca.o .libs/mbchar.o .libs/mbslen.o .libs/mbsstr.o .libs/mbswidth.o .libs/ostream.o .libs/pipe.o .libs/progname.o .libs/propername.o .libs/quote.o .libs/quotearg.o .libs/sh-quote.o .libs/striconv.o .libs/strnlen1.o .libs/styled-ostream.o .libs/term-ostream.o ../woe32dll/.libs/c++term-styled-ostream.o .libs/tls.o .libs/tmpdir.o uniname/.libs/uniname.o unistr/.libs/u16-mbtouc.o unistr/.libs/u16-mbtouc-aux.o unistr/.libs/u16-mbtouc-unsafe.o unistr/.libs/u16-mbtouc-unsafe-aux.o unistr/.libs/u8-mbtouc.o unistr/.libs/u8-mbtouc-aux.o unistr/.libs/u8-mbtouc-unsafe.o unistr/.libs/u8-mbtouc-unsafe-aux.o unistr/.libs/u8-uctomb.o unistr/.libs/u8-uctomb-aux.o uniwidth/.libs/width.o .libs/wait-process.o .libs/xmalloc.o .libs/xstrdup.o .libs/xerror.o .libs/xmalloca.o .libs/xreadlink.o .libs/xsetenv.o .libs/xstriconv.o .libs/xvasprintf.o .libs/xasprintf.o .libs/acl.o .libs/argmatch.o .libs/asnprintf.o .libs/canonicalize-lgpl.o .libs/error.o .libs/file-has-acl.o .libs/fnmatch.o .libs/fopen.o .libs/getdelim.o .libs/getline.o .libs/gettimeofday.o .libs/malloc.o .libs/mkdtemp.o .libs/obstack.o .libs/open.o .libs/printf-args.o .libs/printf-parse.o .libs/readlink.o .libs/realloc.o .libs/safe-read.o .libs/safe-write.o .libs/setenv.o .libs/sigprocmask.o .libs/stpcpy.o .libs/stpncpy.o .libs/strnlen.o .libs/tempname.o .libs/tparm.o .libs/tputs.o .libs/unsetenv.o .libs/vasnprintf.o .libs/vasprintf.o .libs/wcwidth.o -Wl,--whole-archive ./.libs/libcroco_rpl.a ./.libs/libglib_rpl.a ./.libs/libxml_rpl.a -Wl,--no-whole-archive  ../intl/.libs/libintl.dll.a -L/usr/i686-pc-mingw32/sys-root/mingw/lib /usr/i686-pc-mingw32/sys-root/mingw/lib/libiconv.dll.a -L/usr/lib/gcc/i686-pc-mingw32/4.3.2 -L/usr/lib/gcc/i686-pc-mingw32/4.3.2/../../../../i686-pc-mingw32/lib -lstdc++ -lmingw32 -lgcc -lmoldname -lmingwex -lmsvcrt -luser32 -lkernel32 -ladvapi32 -lshell32 -lmingw32 -lgcc -lmoldname -lmingwex -lmsvcrt /usr/lib/gcc/i686-pc-mingw32/4.3.2/crtend.o  -Wl,--export-all-symbols -Wl,--disable-auto-import -o .libs/libgettextlib-0-17.dll -Wl,--enable-auto-image-base -Xlinker --out-implib -Xlinker .libs/libgettextlib.dll.a
Creating library file: .libs/libgettextlib.dll.a
Cannot export rpl_optarg: symbol not defined
Cannot export rpl_optind: symbol not defined
../woe32dll/.libs/gettextlib-exports.o:gettextlib-exports.c:(.data+0x24): undefined reference to `_rpl_optarg'
../woe32dll/.libs/gettextlib-exports.o:gettextlib-exports.c:(.data+0x28): undefined reference to `_rpl_optind'
collect2: ld returned 1 exit status
make[4]: *** [libgettextlib.la] Error 1
make[4]: Leaving directory `/home/lfarkas/rpm/BUILD/gettext-0.17/gettext-tools/gnulib-lib'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/home/lfarkas/rpm/BUILD/gettext-0.17/gettext-tools/gnulib-lib'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/home/lfarkas/rpm/BUILD/gettext-0.17/gettext-tools'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/home/lfarkas/rpm/BUILD/gettext-0.17/gettext-tools'
make: *** [all-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.73396 (%build)


RPM build errors:
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    user mockbuild does not exist - using root
    group mockbuild does not exist - using root
    Bad exit status from /var/tmp/rpm-tmp.73396 (%build)
Comment 2 Richard W.M. Jones 2008-10-30 12:24:20 EDT
It has all the hallmarks of a gnulib problem.  Probably the
simplest thing to try is to update to the latest version of
gnulib inside that package, which is explained here:
http://www.gnu.org/software/gnulib/manual/gnulib.html#Simple-update
(you'll almost certainly want to read the earlier sections
in that manual if you are not familiar with gnulib).

BTW, we have a mailing list which might be a better
place to discuss this:
https://admin.fedoraproject.org/mailman/listinfo/fedora-mingw
Comment 3 Levente Farkas 2008-10-31 06:52:48 EDT
for windows compile it's generate an error since rpl_optarg and rpl_optind notdefine anywhere in the source (and it's true). so it'be useful to fix it eg. the patch bellow (i already report it the upstream gettext to):

--- ./gettext-tools/woe32dll/gettextlib-exports.c.lfarkas	2008-10-31 11:42:38.000000000 +0100
+++ ./gettext-tools/woe32dll/gettextlib-exports.c	2008-10-31 11:43:29.000000000 +0100
@@ -26,7 +26,7 @@
 VARIABLE(gl_array_list_implementation)
 VARIABLE(gl_linkedhash_list_implementation)
 VARIABLE(program_name)
-VARIABLE(rpl_optarg)
-VARIABLE(rpl_optind)
+/*VARIABLE(rpl_optarg)
+VARIABLE(rpl_optind)*/
 VARIABLE(simple_backup_suffix)
 VARIABLE(styled_ostream_typeinfo)
Comment 4 Richard W.M. Jones 2008-10-31 07:18:12 EDT
This still looks like a bug in gnulib to me ...
Comment 5 Daniel Berrange 2008-10-31 08:20:57 EDT
FYI, the build also fails on Fedora 9, so EPEL is a red herring.

The trigger appears to be the upgrde of mingw-runtime from 3.14 to 3.15.1. In the new runtime release they completely re-implemented  the getopt module.

If you compare the configure output for 'mingw-gettext' build when run against runtime 3.14 vs 3.15.1 there is an interesting difference


When built against 3.15.1 (which fails)

checking getopt.h usability... yes
checking getopt.h presence... yes
checking for getopt.h... yes
checking for getopt_long_only... yes
checking whether optreset is declared... no
checking for working GNU getopt function... checking whether getopt_clip is declared... no
yes


When built against 3.14 (which works)

checking getopt.h usability... yes
checking getopt.h presence... yes
checking for getopt.h... yes
checking for getopt_long_only... no


So, with the old mingw runtime, gettext's gnulib was providing a complete replacement for getopt_long_only, and related functions. When built with new runtime its only providing a replacement for certain bits, and this seems to break.

Wierdly, gettext appears to contain patches ontop of standard gnulib in a 'gnulib-local' directory.

This one in particular is suspicious looking

gnulib-local/lib/getopt.in.h.diff

since it marks various things DLL exports.
Comment 6 Levente Farkas 2008-10-31 08:41:14 EDT
so what's your conclusion? should be use 3.14 or 3.15 with my patch?
Comment 7 Richard W.M. Jones 2008-10-31 08:45:38 EDT
Well we should always try to use the new version.  Does Dan's
analysis in comment 5 lead us to believe it's a problem in
gnulib or in gettext?  (or in runtime)?

I started a thread on the gnulib mailing list:
http://lists.gnu.org/archive/html/bug-gnulib/2008-10/threads.html
(It hasn't appeared in their archives as I write this, but will
be at the link above).
Comment 8 Daniel Berrange 2008-10-31 08:50:44 EDT
This isn't a gnulib bug - gnulib is actually doing the right thing here.

The trouble is that gettext has a hardcoded list of symbols for mingw, and its assuming that optind & optarg are to be included, regardless of whether gnulib actually built them.

So removing those two exports from 

 gettext-tools/woe32dll/gettextlib-exports.c 

is correct in context of mingw-runtime 3.15.1 and fine for Fedora's needs

Ideally upstream gettext would conditionally generate that exports file according to what gnulib actually built.
Comment 9 Levente Farkas 2008-10-31 08:53:37 EDT
this means please apply my patch or something similar.
Comment 10 Richard W.M. Jones 2008-10-31 09:56:15 EDT
Done:

http://hg.et.redhat.com/misc/fedora-mingw--devel?cs=f2e0ba46438e

Note that you will need the latest mingw32-termcap too.
Comment 12 Levente Farkas 2008-11-01 08:15:37 EDT
Richard are you one the mailing list too?
Comment 13 Richard W.M. Jones 2008-11-01 08:22:16 EDT
The mailing list has 7 subscribers at the moment (including me).
Not bad for an ML which has only been open for 5 days :-)
I see that you are subscribed, so you should be able to post.  If
you have any problems let me know.
Comment 15 Tim Lauridsen 2009-01-16 09:52:20 EST
I will take this one too
Comment 16 Tim Lauridsen 2009-01-16 09:53:54 EST
$ rpmlint mingw32-gettext-0.17-6.fc10.src.rpm (SRPM)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw32-gettext-0.17-6.fc10.noarch.rpm (RPMS)
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man3/bindtextdomain.3
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/xgettext.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/msgfilter.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man3/dgettext.3
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/autopoint.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man3/dcgettext.3
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/gettext.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/msgcat.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/msgcomm.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/msginit.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/msgconv.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/msgen.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/envsubst.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/msggrep.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man3/dngettext.3
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/msguniq.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man3/textdomain.3
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/msgmerge.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/msgunfmt.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/msgattrib.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/msgexec.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man3/gettext.3
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man3/bind_textdomain_codeset.3
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man3/dcngettext.3
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man3/ngettext.3
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/gettextize.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/recode-sr-latin.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/msgcmp.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/ngettext.1
mingw32-gettext.noarch: W: manpage-not-gzipped /usr/i686-pc-mingw32/sys-root/mingw/share/man/man1/msgfmt.1
mingw32-gettext.noarch: W: no-documentation
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/finddomain.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/gettext.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/dgettext.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/ngettext.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/localename.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/textdomain.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-objc-gnustep/AppController.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c++-kde/hellowindow.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/osdep.c
mingw32-gettext.noarch: E: wrong-script-interpreter /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-php/hello.php "@PHP@"
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-php/hello.php 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/langprefs.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/loadmsgcat.c
mingw32-gettext.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/libgettextpo.la
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c++-kde/admin/config.sub 0644
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c++-kde/admin/missing 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/vasnprintf.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/intl-compat.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/vasnprintf.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/bindtextdom.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/plural-exp.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/explodename.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/plural.c
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c++-kde/admin/compile 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/printf-args.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/plural-exp.c
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c++-kde/admin/mkinstalldirs 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/dngettext.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/printf-parse.c
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c++-kde/admin/config.pl 0644
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/build-aux/javaexec.sh.in 0644
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/build-aux/csharpcomp.sh.in 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/wprintf-parse.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/localealias.c
mingw32-gettext.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/libasprintf.la
mingw32-gettext.noarch: E: wrong-script-interpreter /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-guile/hello.scm "@GUILE@"
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-guile/hello.scm 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/gettext-po.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/hash-string.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/hash-string.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/version.c
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c++-kde/admin/config.guess 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libgettextsrc.dll.a
mingw32-gettext.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libgettextsrc.dll.a
mingw32-gettext.noarch: E: wrong-script-interpreter /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-perl/hello-1.pl.in "@PERL@"
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-perl/hello-1.pl.in 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/relocatable.c
mingw32-gettext.noarch: E: wrong-script-interpreter /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-tcl/hello.tcl "@TCLSH@"
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-tcl/hello.tcl 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/eval-plural.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libgettextpo.dll.a
mingw32-gettext.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libgettextpo.dll.a
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/gettext.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libgettextlib.dll.a
mingw32-gettext.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libgettextlib.dll.a
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/l10nflist.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/os2compat.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/tsearch.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/lock.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/lock.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/printf-args.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/intl-exports.c
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c++-kde/admin/ylwrap 0644
mingw32-gettext.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/libgettextsrc.la
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c++-kde/admin/cvs-clean.pl 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/vasnwprintf.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c-gnome/hello.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/os2compat.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/tsearch.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/printf-parse.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/dcigettext.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/libintl.h
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/build-aux/csharpexec.sh.in 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/printf.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/loadinfo.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libintl.dll.a
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c++-kde/admin/am_edit 0644
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c++-kde/admin/detect-autoconf.sh 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/relocatable.h
mingw32-gettext.noarch: E: wrong-script-interpreter /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-gawk/hello.awk "@GAWK@"
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-gawk/hello.awk 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/xsize.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/lib/libasprintf.dll.a
mingw32-gettext.noarch: W: spurious-executable-perm /usr/i686-pc-mingw32/sys-root/mingw/lib/libasprintf.dll.a
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c/hello.c
mingw32-gettext.noarch: E: wrong-script-interpreter /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-perl/hello-2.pl.in "@PERL@"
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-perl/hello-2.pl.in 0644
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/build-aux/javacomp.sh.in 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/dcngettext.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-objc-gnustep/Hello.h
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c++-kde/admin/cvs.sh 0644
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c++-kde/admin/install-sh 0644
mingw32-gettext.noarch: E: script-without-shebang /usr/i686-pc-mingw32/sys-root/mingw/lib/libgettextlib.la
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/gettextP.h
mingw32-gettext.noarch: E: wrong-script-interpreter /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-tcl-tk/hello.tcl "@WISH@"
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-tcl-tk/hello.tcl 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/localcharset.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/localcharset.h
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c++-kde/admin/debianrules 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/log.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/dcgettext.c
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/gmo.h
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-sh/hello.sh 0644
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c++-kde/admin/conf.change.pl 0644
mingw32-gettext.noarch: E: non-executable-script /usr/i686-pc-mingw32/sys-root/mingw/share/doc/gettext/examples/hello-c++-kde/admin/depcomp 0644
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/include/autosprintf.h
mingw32-gettext.noarch: W: devel-file-in-non-devel-package /usr/i686-pc-mingw32/sys-root/mingw/share/gettext/intl/export.h
mingw32-gettext.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libintl.dll.a
mingw32-gettext.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libgettextlib.dll.a
mingw32-gettext.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libgettextpo.dll.a
mingw32-gettext.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libgettextsrc.dll.a
mingw32-gettext.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-pc-mingw32/sys-root/mingw/lib/libasprintf.dll.a
mingw32-gettext.noarch: W: non-standard-dir-in-usr i686-pc-mingw32
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/be/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/be/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/ca/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/ca/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/cs/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/cs/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/da/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/da/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/de/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/de/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/el/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/el/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/en@boldquot/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/en@boldquot/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/en@quot/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/en@quot/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/eo/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/es/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/es/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/et/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/et/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/eu/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/fi/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/fi/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/fr/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/fr/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/ga/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/gl/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/gl/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/id/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/id/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/it/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/it/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/ja/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/ja/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/ko/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/ko/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/nb/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/nb/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/nl/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/nl/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/nn/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/nn/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/pl/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/pl/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/pt/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/pt/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/pt_BR/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/pt_BR/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/ro/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/ro/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/ru/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/ru/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/sk/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/sk/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/sl/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/sl/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/sr/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/sr/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/sv/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/sv/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/tr/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/tr/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/uk/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/uk/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/vi/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/vi/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/zh_CN/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/zh_CN/LC_MESSAGES/gettext-tools.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/zh_HK/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/zh_TW/LC_MESSAGES/gettext-runtime.mo
mingw32-gettext.noarch: W: file-not-in-%lang /usr/i686-pc-mingw32/sys-root/mingw/share/locale/zh_TW/LC_MESSAGES/gettext-tools.mo
1 packages and 0 specfiles checked; 43 errors, 173 warnings.
Comment 17 Tim Lauridsen 2009-01-16 09:55:04 EST
Source matches upstream 
58a2bc6d39c0ba57823034d55d65d606  gettext-0.17.tar.gz (upstream)
58a2bc6d39c0ba57823034d55d65d606  gettext-0.17.tar.gz (srpm)
Comment 18 Tim Lauridsen 2009-01-16 09:58:30 EST
rpmlint is a little noicy, but it looks like false positives.
Comment 19 Tim Lauridsen 2009-01-16 10:06:30 EST
MUST:
* package is named according to the Package Naming Guidelines
    mingw32-*
* spec file name match base package
* package meet Packaging Guidelines 
* package is licensed with a Fedora approved license and meet the Licensing Guidelines 
* License field match the actual license.
* available license(s) file(s) is included in %doc.
* spec file is written in American English. 
* spec file is legible. 
* package compile on x86
* build dependencies is listed in BuildRequires
* no linux locales
* no shared libs
* package not relocatable
* package own all directories that it creates.
* no duplicate files in the %files listing. 
* Permissions on files must be set properly. (%defattr(...) line)
* %clean section present and contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
* package is consistently using macros
* package contain code, or permissable content
* no large doc
* %doc does not affect runtime
* no linux headers
* no static libs
* no *.pc files
* no *.so.* libs
* no -devel packages
* package dont contain .la libtool archives.
* not a GUI app.
* no files or directories already owned by other packages.
* %install begins with rm -rf %{buildroot} (or $RPM_BUILD_ROOT)
* filenames is valid UTF-8

SHOULD:
* source package include license text(s) in separate file from upstream
? builds in mock. 
    I have not tried, but I don't think it is a problem
* no scriptlets
* no subpackages

APPROVED
Comment 20 Richard W.M. Jones 2009-01-16 10:48:15 EST
Tim, thanks for looking at these.  When I upload this package,
I will upload one which removes the man pages, which should
result in a less verbose rpmlint.  The man pages are available
in the native Fedora package, so they are not required here as
well.

Spec file: http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/file/tip/gettext/mingw32-gettext.spec

* Fri Jan 16 2009 Richard W.M. Jones <rjones@redhat.com> - 0.17-7
- Remove the manpages - already available in base Fedora gettext-devel.
- Use _smp_mflags for build.
- Added list of potential BRs.
- Added license file to doc section.

-------------------

New Package CVS Request
=======================
Package Name: mingw32-gettext
Short Description: GNU libraries and utilities for producing multi-lingual messages
Owners: rjones berrange lfarkas
Branches: EL-5 F-10
InitialCC:
Comment 21 Kevin Fenzi 2009-01-16 22:29:29 EST
cvs done.
Comment 22 Fedora Update System 2009-01-17 06:54:43 EST
mingw32-gettext-0.17-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-gettext-0.17-7.fc10
Comment 23 Fedora Update System 2009-01-21 16:30:16 EST
mingw32-gettext-0.17-7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.